
--           ))) 
--    CA      S_EVENT_PLAYER_ENTER_UNIT  S_EVENT_PLAYER_LEAVE_UNIT 
--       .
--  ... -       ,  .
--         ,   ...  
--
--        -      ,   .

function guardian_onPlayerEnterUnitEventHandler(sender, eventArgs)

	local _this_unit = eventArgs.initiator;
	
	local _task_text = _this_unit:getName() .. " (Id number: " .. _this_unit:getID() .. ") is waiting for your orders. \n\r\n\r";
	
	_task_text = _task_text .. "Current situation is: \n\r\n\r";
	
	local _situation_text = "";
	local _order_text = ""
	local _order_index = 0;
	
	for _phaseKey, _phase in pairs(mission.model.phases) do
		if (_phaseKey == 'papa_bear_movement') then
			local _current_situation_text, _current_task_text = _phase:getDescription();
			
			_situation_text = _situation_text .. "1. " .. _current_situation_text .. " \n\r";
			
			if (nil ~= _current_task_text) then 
				_order_index = _order_index + 1;
				_order_text = _order_text .. _order_index .. ". " .. _current_task_text .. " \n\r";
			end
		end
	end
	
	if ('' == _situation_text) then _situation_text = "all clear. \n\r"; end
	
	_task_text = _task_text .. _situation_text;
	
	if ('' == _order_text) then _order_text = "You have no orders, pilot. At ease." end
	
	_task_text = _task_text .. "\n\r Orders: \n\r\n\r";
	_task_text = _task_text .. _order_text;
	
	slmod.msg_out_w_unit(_task_text, _this_unit:getName(), 20, "text");
	-- trigger.action.outTextForGroup(_this_unit_group:getID(), "test 2: unit with id: " .. _this_unit:getID() .. " in the air.", 15);
end; 

function guardian_onPlayerLeaveUnitEventHandler(sender, eventArgs)
	local _this_unit = eventArgs.initiator;
	
	local _text = _this_unit:getName() .. " (Id number: " .. _this_unit:getID() .. ") has been left by player. \n\r\n\r";
	
	slmod.msg_out_w_unit(_text, _this_unit:getName(), 20, "text");
end

--    onDead - ..   ,   .
function guardian_onDeadEventHandler(sender, eventArgs)
	--   :
	mission.model.phases.guardian:setDescriptionAfter('Guardian squad was killed in fight near Kvemo Merhueli.'); --     
	mission.controller:endPhase('guardian'); --     . 
end

--    guardian
mission.model.groups.guardian:addOnPlayerEnterUnit(guardian_onPlayerEnterUnitEventHandler);
mission.model.groups.guardian:addOnPlayerLeaveUnit(guardian_onPlayerLeaveUnitEventHandler);
mission.model.groups.guardian:addOnDeadEventHandler(guardian_onDeadEventHandler);