
--         hitman  papa_bear

--     papa_bear (    )
function papa_bear_onDeadEventHandler(sender, eventArgs)
	mission.model.phases:setDescriptionAfter('Papa Bear squad has been killed.');
	mission.controller:endPhase('papa_bear_movement');
	mission.controller:endPhase('babushara_defence');
end;

--     hitman-  -   :D ( )
--    ,       hitman-
--        ,     .
-- (    MGRS) 
--      -   ,      :)
function hitman_onHitEventHandler(sender, eventArgs)
	local _hitted_unit = eventArgs.target;
	local _hitted_unit_position = _hitted_unit:getPosition();
	
	local _latitude, _longitude, _altitude = coord.LOtoLL(_hitted_unit_position.p);
	local _mgrs =  coord.LLtoMGRS(_latitude, _longitude);
	
	mission.model.phases.hitman_movement:setDescriptionDuring('Hitman: position: ' .. _mgrs.UTMZone .. _mgrs.MGRSDigraph .. _mgrs.Easting .. _mgrs.Northing .. '. Taking fire!!!');
	
	local _ka50_unit = Unit.getByName('ka50_pilot');
	
	if (nil ~= _ka50_unit) then
		slmod.msg_out_w_unit('Hitman: We have been hit!!!', _ka50_unit:getName(), 10, "text");
	end
end;

--  ,     hitman 
function hitman_onDeadEventHandler(sender, eventArgs)
	mission.model.phases.hitman_movement:setDescriptionAfter('Hitman squad has been destroyed.');
	mission.controller:endPhase('hitman_movement');
end;

--     hitman  papa bear -  ... 
mission.model.groups.papa_bear:addOnDeadEventHandler(papa_bear_onDeadEventHandler);
mission.model.groups.hitman:addOnHitEventHandler(hitman_onHitEventHandler);
mission.model.groups.hitman:addOnDeadEventHandler(hitman_onDeadEventHandler);